org.keycloak.subsystem.extension

## Class KeycloakAdapterConfigDeploymentProcessor

- java.lang.Object
- - org.keycloak.subsystem.extension.KeycloakAdapterConfigDeploymentProcessor

- All Implemented Interfaces:
    org.jboss.as.server.deployment.DeploymentUnitProcessor

      public class KeycloakAdapterConfigDeploymentProcessor
      extends Object
      implements org.jboss.as.server.deployment.DeploymentUnitProcessor

  Pass authentication data (keycloak.json) as a servlet context param so it can be read by the KeycloakServletExtension.
  Author:
    Stan Silvert ssilvert@redhat.com (C) 2014 Red Hat Inc.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AUTH_DATA_PARAM_NAME`
    `protected org.jboss.logging.Logger` | `log`
    `static org.jboss.as.server.deployment.Phase` | `PHASE`
    `static int` | `PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeycloakAdapterConfigDeploymentProcessor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addSecurityDomain(org.jboss.as.server.deployment.DeploymentUnit deploymentUnit, KeycloakAdapterConfigService service)`
    `void` | `deploy(org.jboss.as.server.deployment.DeploymentPhaseContext phaseContext)`
    `void` | `undeploy(org.jboss.as.server.deployment.DeploymentUnit du)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected org.jboss.logging.Logger log

    - #### AUTH_DATA_PARAM_NAME

          public static final String AUTH_DATA_PARAM_NAME

      See Also:
        Constant Field Values

    - #### PHASE

          public static final org.jboss.as.server.deployment.Phase PHASE

    - #### PRIORITY

          public static final int PRIORITY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KeycloakAdapterConfigDeploymentProcessor

          public KeycloakAdapterConfigDeploymentProcessor()

  - ### Method Detail

    - #### addSecurityDomain

          protected void addSecurityDomain(org.jboss.as.server.deployment.DeploymentUnit deploymentUnit,
                               KeycloakAdapterConfigService service)

    - #### deploy

          public void deploy(org.jboss.as.server.deployment.DeploymentPhaseContext phaseContext)
                      throws org.jboss.as.server.deployment.DeploymentUnitProcessingException

      Specified by:
        `deploy` in interface `org.jboss.as.server.deployment.DeploymentUnitProcessor`
      Throws:
        `org.jboss.as.server.deployment.DeploymentUnitProcessingException`

    - #### undeploy

          public void undeploy(org.jboss.as.server.deployment.DeploymentUnit du)

      Specified by:
        `undeploy` in interface `org.jboss.as.server.deployment.DeploymentUnitProcessor`

Copyright © 2014. All Rights Reserved.